Get invoice using specific key.

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

invoice_view
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
internal_number

Internal number to identify the invoice

string
company_id

Foreign key to company, identifies the company of the invoice

globally unique identifier
company_code

Company code of the invoice

string
company_name

Company name of the invoice

string
company_email

Company email of the invoice

string
company_phone

Company phone of the invoice

string
date_create

Invoice creation date in utc

date
memo

Memo field for invoice

string
description

Decription field for invoice

string
invoice_type

Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“

string
source_type

Source of invoice, refers to the type of the object from which invoice is derived

string
source_id_in_table

Key of the object from which the invoice is derived

globally unique identifier
total_lines

Total amount of lines linked to the invoice

integer
total_amount

Total value of items in lines linked to the invoice

decimal number
db_currency_id

Key of db_currency entity, identifies the db_currency of the invoice

globally unique identifier
total_taxes

Total taxes

decimal number
due_date

The due date

date
source_db_table_name

The name of db table

string
delivery_name

The delivery name

string
delivery_street

The street for delivery

string
delivery_city

The city for delivery

string
delivery_zip

The zip for delivery

string
delivery_db_country_name

The country name for delivery

string
reference_back_office

Reference data for back office

string
db_payment_method_id

Payment method id

globally unique identifier
id2

id for internal

integer
customer_remarks

Customer remarks

string
bill_to_party

The bill to party

string
bill_to_contact_id

Contact id for bill

globally unique identifier
contact_id

Contact id of invoice

globally unique identifier
article_price_label_id

Article price label id

globally unique identifier
db_language_id

The language id

globally unique identifier
invoice_status_id

The status id of invoice

globally unique identifier
invoice_status_name

The status name of invoice

string
discount_group_id

The id of discount group

globally unique identifier
discount

Discount value

decimal number
email

The email

string
invoice_number

Invoice number

string
bill_to_company_id

Company id for bill

globally unique identifier
dateutc_confirmation

The confirmation date (UTC)

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
invoice_details

Details of invoice

Collection of invoice_details_view
db_payment_method_name

Payment method name of the invoice

string
db_payment_method_pm

Payment method pm of the invoice

string

Response Formats

application/json, text/json

Sample:
{
  "id": "927d7a69-aa50-414e-a753-27b279abb9a6",
  "internal_number": "sample string 2",
  "company_id": "cd35af58-fd37-4b56-b1cf-7c46483e9913",
  "company_code": "sample string 4",
  "company_name": "sample string 5",
  "company_email": "sample string 6",
  "company_phone": "sample string 7",
  "date_create": "2026-02-23T07:54:19.0161708+00:00",
  "memo": "sample string 9",
  "description": "sample string 10",
  "invoice_type": "sample string 11",
  "source_type": "sample string 12",
  "source_id_in_table": "d305af2a-0058-4711-87cb-ed7e3ee0e9b8",
  "total_lines": 14,
  "total_amount": 15.0,
  "db_currency_id": "fc536b18-de15-4883-9a2e-310337dc21f7",
  "total_taxes": 17.0,
  "due_date": "2026-02-23T07:54:19.0161708+00:00",
  "source_db_table_name": "sample string 19",
  "delivery_name": "sample string 20",
  "delivery_street": "sample string 21",
  "delivery_city": "sample string 22",
  "delivery_zip": "sample string 23",
  "delivery_db_country_name": "sample string 24",
  "reference_back_office": "sample string 25",
  "db_payment_method_id": "c093336c-2c47-4292-a033-793e39b72a39",
  "id2": 27,
  "customer_remarks": "sample string 28",
  "bill_to_party": "sample string 29",
  "bill_to_contact_id": "d3502ebc-12aa-412c-8200-ec8bb255ccc7",
  "contact_id": "79f28be3-2ffb-4908-9f4e-6519258725dc",
  "article_price_label_id": "d18dd112-254a-459b-b8e2-18a484bd6dd3",
  "db_language_id": "3230778a-c018-4994-a782-bcc6e3c787df",
  "invoice_status_id": "ecd8106c-0fb6-431c-9649-295a2de0dbe7",
  "invoice_status_name": "sample string 35",
  "discount_group_id": "e9ec0817-503a-4c5d-b11b-88d71b7e1200",
  "discount": 37.0,
  "email": "sample string 38",
  "invoice_number": "sample string 39",
  "bill_to_company_id": "0c081969-d853-47a8-9c16-28dee0e92aa6",
  "dateutc_confirmation": "2026-02-23T07:54:19.0161708+00:00",
  "modified_dateutc": "2026-02-23T07:54:19.0161708+00:00",
  "invoice_details": [
    {
      "id": "9fac68b6-176d-478a-b93b-73438ef31a50",
      "invoice_id": "c63813c5-c332-43fe-8081-004b6476b6d6",
      "article_id": "0f761941-33a3-4b0d-bd97-778684cf7bf9",
      "article_name": "sample string 4",
      "article_description": "sample string 5",
      "article_code": "sample string 6",
      "line_num": 7,
      "quantity_decimal": 9.0,
      "article_price": 10.0,
      "discount": 11.0,
      "vat_rate": 12.0,
      "vat_value": 13.0,
      "total_vat": 14.0,
      "total_line": 15.0,
      "total_line_with_vat": 16.0,
      "source_db_table_name": "sample string 17",
      "source_id_in_table": "f1525e7a-2810-4880-97d5-0ea70c7e15bc",
      "serial_number": "sample string 19",
      "no_warranty_reason": "sample string 20",
      "is_under_warranty": true,
      "discount_percentage": 22.0,
      "cost_price": 23.0,
      "company_vat_id": "38a1ceee-1048-4081-85ee-25eb958243ea",
      "company_vat_code": "sample string 25",
      "modified_dateutc": "2026-02-23T07:54:19.027907+00:00"
    },
    {
      "id": "9fac68b6-176d-478a-b93b-73438ef31a50",
      "invoice_id": "c63813c5-c332-43fe-8081-004b6476b6d6",
      "article_id": "0f761941-33a3-4b0d-bd97-778684cf7bf9",
      "article_name": "sample string 4",
      "article_description": "sample string 5",
      "article_code": "sample string 6",
      "line_num": 7,
      "quantity_decimal": 9.0,
      "article_price": 10.0,
      "discount": 11.0,
      "vat_rate": 12.0,
      "vat_value": 13.0,
      "total_vat": 14.0,
      "total_line": 15.0,
      "total_line_with_vat": 16.0,
      "source_db_table_name": "sample string 17",
      "source_id_in_table": "f1525e7a-2810-4880-97d5-0ea70c7e15bc",
      "serial_number": "sample string 19",
      "no_warranty_reason": "sample string 20",
      "is_under_warranty": true,
      "discount_percentage": 22.0,
      "cost_price": 23.0,
      "company_vat_id": "38a1ceee-1048-4081-85ee-25eb958243ea",
      "company_vat_code": "sample string 25",
      "modified_dateutc": "2026-02-23T07:54:19.027907+00:00"
    }
  ],
  "db_payment_method_name": "sample string 43",
  "db_payment_method_pm": "sample string 44"
}